Solved

Oracle SOA installation Issues in OL 6

Posted on 2014-11-02
2
112 Views
Last Modified: 2015-06-22
Hi,

I am trying to install SOA suite in Oracle Linux 6 but am getting the message below when the installer is verifying the JRE version. Please Help.


wrong ELF class: ELFCLASS64 (Possible cause: architecture word width mismatch)
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1703)
        at java.lang.Runtime.load0(Runtime.java:770)
        at java.lang.System.load(System.java:1003)
        at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.loadNativeLib(OiipuUnixOps.java:402)
        at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.<clinit>(OiipuUnixOps.java:125)
        at oracle.sysman.oii.oiip.oiipg.OiipgEnvironment.ssgetCurrentGroupOfUserux(OiipgEnvironment.java:503)
        at oracle.sysman.oii.oiix.OiixEnvironmentOps.ssgetCurrentGroupOfUserux(OiixEnvironmentOps.java:147)
        at oracle.as.install.engine.modules.install.util.UnixGroupServiceImpl.getCurrentUserGroupName(UnixGroupServiceImpl.java:59)
        at oracle.as.install.engine.modules.install.util.UnixGroupServiceImpl.getCurrentGroupName(UnixGroupServiceImpl.java:66)
        at oracle.as.install.engine.modules.install.util.InventoryManager.getInstallGroup(InventoryManager.java:383)
        at oracle.as.install.engine.modules.install.util.InventoryManager.setInventoryLocationFromPointer(InventoryManager.java:219)
        at oracle.as.install.engine.modules.install.util.InventoryManager.setupDefaultInventory(InventoryManager.java:321)
        at oracle.as.install.engine.InstallEngine.getInventoryLocation(InstallEngine.java:650)
        at oracle.as.install.engine.InstallEngine.<init>(InstallEngine.java:135)
        at oracle.as.install.engine.InstallEngine.<clinit>(InstallEngine.java:130)
        at oracle.sysman.oio.oioc.OiocOneClickInstaller.main(OiocOneClickInstaller.java:603)
Exception in thread "main" java.lang.UnsatisfiedLinkError: no oraInstaller in java.library.path
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1738)
        at java.lang.Runtime.loadLibrary0(Runtime.java:823)
        at java.lang.System.loadLibrary(System.java:1028)
        at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.loadNativeLib(OiipuUnixOps.java:420)
        at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.<clinit>(OiipuUnixOps.java:125)
        at oracle.sysman.oii.oiip.oiipg.OiipgEnvironment.ssgetCurrentGroupOfUserux(OiipgEnvironment.java:503)
        at oracle.sysman.oii.oiix.OiixEnvironmentOps.ssgetCurrentGroupOfUserux(OiixEnvironmentOps.java:147)
        at oracle.as.install.engine.modules.install.util.UnixGroupServiceImpl.getCurrentUserGroupName(UnixGroupServiceImpl.java:59)
        at oracle.as.install.engine.modules.install.util.UnixGroupServiceImpl.getCurrentGroupName(UnixGroupServiceImpl.java:66)
        at oracle.as.install.engine.modules.install.util.InventoryManager.getInstallGroup(InventoryManager.java:383)
        at oracle.as.install.engine.modules.install.util.InventoryManager.setInventoryLocationFromPointer(InventoryManager.java:219)
        at oracle.as.install.engine.modules.install.util.InventoryManager.setupDefaultInventory(InventoryManager.java:321)
        at oracle.as.install.engine.InstallEngine.getInventoryLocation(InstallEngine.java:650)
        at oracle.as.install.engine.InstallEngine.<init>(InstallEngine.java:135)
        at oracle.as.install.engine.InstallEngine.<clinit>(InstallEngine.java:130)
        at oracle.sysman.oio.oioc.OiocOneClickInstaller.main(OiocOneClickInstaller.java:603)
0
Comment
Question by:GulfIT
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
2 Comments
 
LVL 35

Expert Comment

by:johnsone
ID: 40418096
Wrong ELF class would mean that you are mixing 32 bit and 64 bit versions of programs.  This is saying it found 64 bit, so I'm guessing it is looking for the 32 bit version.
0
 
LVL 5

Accepted Solution

by:
Sanjeev Labh earned 500 total points
ID: 40419141
Yeah I also think that you have donwloaded the right software, you would need to recheck.
0

Featured Post

[Webinar] Learn How Hackers Steal Your Credentials

Do You Know How Hackers Steal Your Credentials? Join us and Skyport Systems to learn how hackers steal your credentials and why Active Directory must be secure to stop them. Thursday, July 13, 2017 10:00 A.M. PDT

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Working with Network Access Control Lists in Oracle 11g (part 1) Part 2: http://www.e-e.com/A_9074.html So, you upgraded to a shiny new 11g database and all of a sudden every program that used UTL_MAIL, UTL_SMTP, UTL_TCP, UTL_HTTP or any oth…
When it comes to protecting Oracle Database servers and systems, there are a ton of myths out there. Here are the most common.
This video shows syntax for various backup options while discussing how the different basic backup types work.  It explains how to take full backups, incremental level 0 backups, incremental level 1 backups in both differential and cumulative mode a…
This video shows how to Export data from an Oracle database using the Datapump Export Utility.  The corresponding Datapump Import utility is also discussed and demonstrated.

691 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question